Skip to main content
GET
/
api
/
gateway
/
invoices
/
{invoiceId}
Get an invoice
curl --request GET \
  --url https://dash.getopenrails.com/api/gateway/invoices/{invoiceId}
{
  "id": "<string>",
  "amount": 123,
  "currency": "<string>",
  "created": "2023-11-07T05:31:56Z",
  "customerId": "<string>",
  "paymentId": "<string>",
  "sessionId": "<string>",
  "metadata": {}
}

Documentation Index

Fetch the complete documentation index at: https://docs.getopenrails.com/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

invoiceId
string
required

Response

Invoice record

id
string
required

Invoice ID with inv_* prefix.

object
enum<string>
required
Available options:
invoice
amount
number
required
currency
string
required
status
enum<string>
required
Available options:
open,
paid,
void
created
string<date-time>
required
customerId
string
paymentId
string
sessionId
string
metadata
object